SchedulerHome (The Data Transfer Scheduler Service 2.0.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.impl.state
Class SchedulerHome

    java.lang.Object
      org.gcube.common.core.state.GCUBEResourceHome<org.globus.wsrf.ResourceKey,org.gcube.common.core.state.GCUBEWSResourceKey,org.gcube.common.core.state.GCUBEWSResource>
          org.gcube.common.core.state.GCUBEWSHome
              org.gcube.datatransfer.scheduler.impl.state.SchedulerHome

All Implemented Interfaces:
  org.globus.wsrf.jndi.Initializable, org.globus.wsrf.ResourceHome

    public class SchedulerHome

extends org.gcube.common.core.state.GCUBEWSHome

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.state.GCUBEResourceHome
`org.gcube.common.core.state.GCUBEResourceHome.Mode`

Field Summary

Fields inherited from class org.gcube.common.core.state.GCUBEWSHome
`keyTypeName, sweeperScheduler`

Fields inherited from class org.gcube.common.core.state.GCUBEResourceHome
`cache, lockManager, logger, mode, persistenceDelegate, resourceClass, resourceLog`

Constructor Summary
`SchedulerHome()`

Method Summary
`org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext` | `getPortTypeContext()`

Methods inherited from class org.gcube.common.core.state.GCUBEWSHome
`create, create, find, find, get, getKeyTypeClass, getKeyTypeName, getServiceContext, getSweeperDelay, onFailure, onInitialisation, onLoad, onReady, onRemove, onReuse, postInitialise, preInitialise, remove, reuse, setKeyName, setSweeperDelay`

Methods inherited from class org.gcube.common.core.state.GCUBEResourceHome
`add, createInternal, getIdentifiers, getResourceClass, getResources, initialize, newInstance, onStateChange, onUpdate, remove, setCacheTimeout, setPersistenceDelegateClass, setResourceClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchedulerHome

    public SchedulerHome()

Method Detail

### getPortTypeContext

    public org.gcube.common.core.contexts.GCUBEStatefulPortTypeContext getPortTypeContext()

  Specified by:
    `getPortTypeContext` in class `org.gcube.common.core.state.GCUBEWSHome`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.